import { ApiCall } from "tsrpc";
import { PlayerFun } from '../../../public/player';
import { ReqReset, ResReset } from "../../../shared/protocols/gongyu/xunlianjihua/PtlReset";

export default async function (call: ApiCall<ReqReset, ResReset>) {

    const need = [{ a: 'attr', t: 'rmbmoney', n: 50 }];

    await PlayerFun.checkNeedIsMeet(call, need);
    await PlayerFun.cutNeed(call, need);
    await PlayerFun.addAttr(call, {
        skills: {},
        fightSkills: {},
        useTujianLvPoint: 0,
    });

    call.succ({});
}